from apiviews import *
from rest_framework import routers
from django.urls import path, include, re_path
from django.contrib.auth.decorators import login_required
from webservice_running import views
from webservice_running.views import *

app_name = 'webservice_running'

router = routers.DefaultRouter()
router.register(r'webservice', OrdersLocalMVS)

urlpatterns = [
    path('order_list/', login_required(OrdersListView.as_view()), name="order_list"),
    path('order_reg/', login_required(OrderReg.as_view()), name="order_reg"),
    path('', views.registration, name="registration"),
    path('api/', include(router.urls), name="webservice_running_api"),
]